org.eclipse.jface.text

## Interface ITextOperationTargetExtension

All Known Implementing Classes:
  ProjectionViewer, SourceViewer, TextConsoleViewer, TextViewer

    public interface ITextOperationTargetExtension

Extension interface for `ITextOperationTarget`.

Allows a client to control the enable state of operations provided by this target.

Since:
  2.0
See Also:
  `ITextOperationTarget`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `enableOperation(int operation, boolean enable)` Enables/disabled the given text operation.

### Method Detail

#### enableOperation

    void enableOperation(int operation,
                         boolean enable)

Enables/disabled the given text operation.

Parameters:
  `operation` - the operation to enable/disable
  `enable` - `true` to enable the operation otherwise `false`